Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 866221 - app-office/libreoffice-7.4: version bump
Summary: app-office/libreoffice-7.4: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 4 votes (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-23 19:32 UTC by m1027
Modified: 2022-12-26 23:19 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
libreoffice-7.4.2.3.ebuild (libreoffice-7.4.2.3.ebuild,19.20 KB, text/plain)
2022-10-31 22:27 UTC, Vincent Reher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m1027 2022-08-23 19:32:40 UTC
I hope we may get an ebuild for libreoffix-7.4 soon.

Reason: MS allows more columns in calc tables now. In colaboration with MS Office users libreoffice-7.3 now always complains about too many columns (even if empty but you never know...). libreoffice-7.4 can handle the extra columns.
Comment 1 younky.yang 2022-10-30 10:47:52 UTC
Thanks for assigning the task to the group, but just wonder how long have we to wait for this new version of libreoffice?
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-10-30 10:56:15 UTC
(In reply to younky.yang from comment #1)
> Thanks for assigning the task to the group, but just wonder how long have we
> to wait for this new version of libreoffice?

Until someone has time to look at it. We prioritise handling bumps for the stable branches until we get time.

Help is welcome in the form of reviewing the changes between 7.3 and 7.4 and providing a patch to the ebuilds. Diffing the build system is required.
Comment 3 Vincent Reher 2022-10-31 22:27:36 UTC
Created attachment 826259 [details]
libreoffice-7.4.2.3.ebuild
Comment 4 Vincent Reher 2022-10-31 22:45:24 UTC
I too was waiting eagerly for the official release of Libreoffice 7.4 and its associated portage package. That release contains some code that I contributed a few months ago :)

I created an ebuild based on information in various libreoffice-9999 bug reports submitted by Gentoo user jospezial. While the ebuild "works" to install 7.4, it should be considered a hack and eventually replaced by one produced by the more rigorous methodology described by Sam James.

Producing a corresponding ebuild for libreoffice-l10n did not go smoothly, since a number of language packs are missing. You will either need to hack one with a very limited list in LANGUAGES_HELP= or add PDEPEND="!app-office/libreoffice-l10n" in attached ebuild to get english-only 7.4 help.
Comment 5 jospezial 2022-11-17 02:38:49 UTC
> I created an ebuild based on information in various libreoffice-9999 bug
> reports submitted by Gentoo user

Nice to see that at least one person I can help with these libreoffice related reports.
Comment 6 Larry the Git Cow gentoo-dev 2022-12-26 23:19:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e4dec60f803aeb9fd055fe4c8020e4961af9614

commit 7e4dec60f803aeb9fd055fe4c8020e4961af9614
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2022-12-26 14:39:56 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-12-26 23:19:24 +0000

    app-office/libreoffice: add 7.4.3.2
    
    Dropping ~loong for lack of patchset.
    
    Closes: https://bugs.gentoo.org/866221
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-office/libreoffice/Manifest                   |   3 +
 app-office/libreoffice/libreoffice-7.4.3.2.ebuild | 658 ++++++++++++++++++++++
 2 files changed, 661 insertions(+)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3af58ce3264a8d65f906296a856662add25b662e

commit 3af58ce3264a8d65f906296a856662add25b662e
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2022-12-26 14:33:26 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-12-26 23:19:23 +0000

    app-office/libreoffice: add 7.4.9999
    
    Bug: https://bugs.gentoo.org/866221
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-office/libreoffice/libreoffice-7.4.9999.ebuild | 658 +++++++++++++++++++++
 1 file changed, 658 insertions(+)